org.apache.felix.ipojo.plugin

## Class ManipulatorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.felix.ipojo.plugin.ManipulatorMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class ManipulatorMojo
    extends org.apache.maven.plugin.AbstractMojo

Packages an OSGi jar "bundle" as an "iPOJO bundle".

Version:
  $Rev$, $Date$
Author:
  Felix Project Team

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ManipulatorMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()` Execute method : this method launches the pojoization.

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManipulatorMojo

    public ManipulatorMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Execute method : this method launches the pojoization.

Throws:
  `org.apache.maven.plugin.MojoExecutionException` - : an exception occurs during the manipulation.
See Also:
  `Mojo.execute()`